# $Revision: 1.13 $, $Date: 2010/06/30 07:05:43 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Skipjack
Summary:	Crypt::Skipjack - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Skipjack - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Skipjack
Version:	1.0.2
Release:	4
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	46196172e7020917f8249f36f8b55c21
URL:		http://search.cpan.org/dist/Crypt-Skipjack/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Skipjack is the secret key encryption algorithm designed by the
National Security Agency, and is used in the Clipper chip and Fortezza
PC card. It was implemented in tamper-resistant hardware and its
structure had been classified since its introduction in 1993. Skipjack
was unclassified on June 24, 1998. Skipjack is an 80-bit key, 64-bit
block cipher. This module supports the Crypt::CBC interface.

%description -l pl.UTF-8
Skipjack to algorytm szyfrowania klucza tajnego opracowany przez NSA
(National Security Agency), używany w układzie Clipper i kartach PC
Fortezza. Był zaimplementowany w zabezpieczonym przed intruzami
sprzęcie, a jego struktura była zastrzeżona od wprowadzenia w 1993
roku do 24 czerwca 1998. Skipjack to 64-bitowy szyfr blokowy z
80-bitowym kluczem. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Skipjack.pm
%dir %{perl_vendorarch}/auto/Crypt/Skipjack
%{perl_vendorarch}/auto/Crypt/Skipjack/Skipjack.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Skipjack/Skipjack.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Skipjack.spec,v $
Revision 1.13  2010/06/30 07:05:43  amateja
- release 4

Revision 1.12  2010/06/06 08:33:38  arekm
- release 3

Revision 1.11  2008/03/15 20:47:18  qboosh
- generic URL

Revision 1.10  2008-02-10 12:05:27  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:14  paladine
- formatting

Revision 1.5  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.3  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.2  2003/09/15 08:18:04  adamg
- updated to 1.0.2

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
